%define major 1
%define libname %mklibname c++abi %{major}
%define devname %mklibname c++abi -d

Summary:	Low level support for a standard C++ library
Name:		libcxxabi
Version:	5.0.0
Release:	1
License:	MIT or NCSA
Group:		System/Libraries
Url:		http://libcxxabi.llvm.org/
Source0:	http://llvm.org/releases/%{version}/libcxxabi-%{version}.src.tar.xz
BuildRequires:	cmake
BuildRequires:	llvm-devel
BuildRequires:	libcxx-devel >= %{version}

%description
libcxxabi provides low level support for a standard C++ library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Low level support for a standard C++ library
Group:		System/Libraries

%description -n %{libname}
libcxxabi provides low level support for a standard C++ library.

%files -n %{libname}
%doc CREDITS.TXT LICENSE.TXT
%{_libdir}/libc++abi.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and header files for libcxxabi development
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for low level support for a standard C++ library.

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/libc++abi.so

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}.src

sed -i 's|${LLVM_BINARY_DIR}/share/llvm/cmake|%{_libdir}/cmake/llvm|g' CMakeLists.txt

%build
export LDFLAGS="-Wl,--build-id"
%cmake \
	-DCMAKE_C_COMPILER=%{_bindir}/gcc \
	-DCMAKE_CXX_COMPILER=%{_bindir}/g++ \
	-DLLVM_CONFIG=%{_bindir}/llvm-config \
	-DLIBCXXABI_LIBCXX_INCLUDES=%{_includedir}/c++/v1/ \
%ifarch x86_64
	-DLIBCXXABI_LIBDIR_SUFFIX:STRING=64 \
%endif
	-DCMAKE_BUILD_TYPE=RelWithDebInfo
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_includedir}
cp -a include/*.h %{buildroot}%{_includedir}/

rm -f %{buildroot}%{_libdir}/libc++abi.a


%changelog

* Sat Nov 11 2017 Rosa <rosa@abf.rosalinux.ru> 5.0.0-1
- (0be6892) Automatic import for version 5.0.0-1


